=== debian/changelog ===
debian-reference (2.128) unstable; urgency=medium

  [ Osamu Aoki ]
  * Use correct syntax usermod (Closes: #1104496, #1105805)
  * Use NetworkManage (Closes: #1104896)
  * ja.po: normalize formatting
  * make po
  * Update release to Trixie

  [ Francisco Serrador ]
  * Translated using Weblate (Spanish)

  [ Rodolfo Gigante ]
  * Translated using Weblate (Portuguese)

  [ Eisuke Kawashima ]
  * Translated using Weblate (Japanese)

  [ Petri Hämäläinen ]
  * Translated using Weblate (Finnish)

 -- Osamu Aoki <osamu@debian.org>  Thu, 28 Aug 2025 14:11:39 +0900
