## debian-reference 2.129

=== Makefile ===
--- 
+++ 
@@ -10,26 +10,29 @@
 #
 # build strategy depends on build environment (robust build)
 #STRATEGY := $(shell if [ "$$(lsb_release -s -r)" = "n/a" ]; then echo "unstable"; else echo "stable" ; fi)
+
 # When texlive tool chain suffer problem, run "make prep" and commit "keep/"
-# directoru in stable environment and build package in STRATEGY=unstable
+# directory in stable environment and build package in STRATEGY=unstable
 # environment
 STRATEGY := stable
 # When OK situation, uncomment to set as above
 
-# languages translated with PO files (Below are as of 2024-05-28)
+# languages translated with PO files (Below are as of 2025-12-24)
 # ja  100 %       -- COMPLETED translation (must be more than 40%)
-# fr  100 %       -- COMPLETED translation (must be more than 40%)
-# it  100 %       -- COMPLETED translation (must be more than 40%)
-# es  100 %       -- COMPLETED translation (must be more than 40%)
-# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
-# id  96 %       -- COMPLETED translation (must be more than 40%)
-# de  94 %       -- COMPLETED translation (must be more than 40%)
+# fr  99 %       -- COMPLETED translation (must be more than 40%)
+# it  99 %       -- COMPLETED translation (must be more than 40%)
+# es  99 %       -- COMPLETED translation (must be more than 40%)
+# zh-cn  99 %       -- COMPLETED translation (must be more than 40%)
+# id  99 %       -- COMPLETED translation (must be more than 40%)
+# de  100 %       -- COMPLETED translation (must be more than 40%)
 # pt-br  79 %       -- COMPLETED translation (must be more than 40%)
-# pt  78 %       -- COMPLETED translation (must be more than 40%)
+# pt  99 %       -- COMPLETED translation (must be more than 40%)
 # zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
+# ro  25 %       -- COMPLETED translation (must be more than 40%)
+# sv  11 %       -- COMPLETED translation (must be more than 40%)
 # nb  6 %       -- COMPLETED translation (must be more than 40%)
-# sv  11 %       -- COMPLETED translation (must be more than 40%)
-LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv
+
+LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw ro sv nb
 LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw
 # ko fi are less than 10 strings -- skipped even for make
 #LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
