=== debian/changelog ===
debian-reference (2.129) unstable; urgency=medium

  [ Daniel Nylander ]
  * Translated using Weblate (Swedish)

  [ Holger Wansing ]
  * Updated german translation
  * Clean-up de.po

  [ Francisco Serrador ]
  * Translated using Weblate (Spanish)

  [ Remus-Gabriel Chelu ]
  * Initial romanian translation

  [ Mateus Liberale Gomes ]
  * Translated using Weblate (Portuguese (Brazil))

  [ Osamu Aoki ]
  * include ro in Makefile
  * make po (normalize PO files)
  * Fix apt sources file extension (Closes: #1124494)
  * sv.po: fix trivial errors for HTML build
  * Fix weblate configuration
  * Update mentioned packages in rawxml and po
  * Fix duplicated ssh-agent(1) (Closes: #1100811)

 -- Osamu Aoki <osamu@debian.org>  Fri, 02 Jan 2026 23:52:05 +0900
