## debian-reference 2.131

=== debian/changelog ===
debian-reference (2.131) unstable; urgency=medium

  * Fix a entity name typo in id.po
  * Uploading with binary and source debs for NEW (sv)

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2026 10:39:08 +0900

debian-reference (2.130) unstable; urgency=medium

  [ Daniel Nylander ]
  * Translated using Weblate (Swedish) 100%

  [ Remus-Gabriel Chelu ]
  * Translated using Weblate (Romanian)

  [ xiao sheng wen(肖盛文) ]
  * Translated using Weblate (Chinese (Simplified Han script))

  [ Osamu Aoki ]
  * Add debian-reference-sv package
  * Skip PDF for sv (workaround for Texlive tool chain issue)
  * normalize wrapping of line in PO files
  * Update translation status in Makefile

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2026 08:33:43 +0900
