=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,11 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es pt-br
-LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es pt-br
+LANGALL	:=	en ja fr id it pt de zh-cn zh-tw es pt-br sv
+LANGPO	:=	   ja fr id it pt de zh-cn zh-tw es pt-br sv
 # languages to skip generation of PDF files (not used now)
 #NOPDF	:=	zh-cn zh-tw
-NOPDF	:=
+NOPDF	:= sv
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -48,6 +48,8 @@
 	    pl) LANGX="Polish" ;; \
 	    pt) LANGX="Portuguese (Portugal)" ;; \
 	    pt-br) LANGX="Portuguese (Brazil)" ;; \
+	    ro) LANGX="Romanian" ;; \
+	    sv) LANGX="Swedish" ;; \
 	    zh-tw) LANGX="Chinese (Traditional)" ;; \
 	    zh-cn) LANGX="Chinese (Simplified)" ;; \
 	    *) LANGX="$$x" ;; \
