## debian-reference 2.132

=== Makefile ===
--- 
+++ 
@@ -17,23 +17,22 @@
 STRATEGY := stable
 # When OK situation, uncomment to set as above
 
-# languages translated with PO files (Below are as of 2025-12-24)
-# ja  100 %       -- COMPLETED translation (must be more than 40%)
-# fr  99 %       -- COMPLETED translation (must be more than 40%)
-# it  99 %       -- COMPLETED translation (must be more than 40%)
-# es  99 %       -- COMPLETED translation (must be more than 40%)
-# zh-cn  99 %       -- COMPLETED translation (must be more than 40%)
-# id  99 %       -- COMPLETED translation (must be more than 40%)
-# de  100 %       -- COMPLETED translation (must be more than 40%)
-# pt-br  79 %       -- COMPLETED translation (must be more than 40%)
-# pt  99 %       -- COMPLETED translation (must be more than 40%)
-# zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
-# ro  25 %       -- COMPLETED translation (must be more than 40%)
-# sv  11 %       -- COMPLETED translation (must be more than 40%)
-# nb  6 %       -- COMPLETED translation (must be more than 40%)
-
-LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw ro sv nb
-LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw
+# "ja  100 %       -- COMPLETED translation (must be more than 40%)
+# "fr  99 %       -- COMPLETED translation (must be more than 40%)
+# "it  99 %       -- COMPLETED translation (must be more than 40%)
+# "es  99 %       -- COMPLETED translation (must be more than 40%)
+# "zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
+# "id  99 %       -- COMPLETED translation (must be more than 40%)
+# "de  99 %       -- COMPLETED translation (must be more than 40%)
+# "pt-br  79 %       -- COMPLETED translation (must be more than 40%)
+# "pt  99 %       -- COMPLETED translation (must be more than 40%)
+# "zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
+# "sv  100 %       -- COMPLETED translation (must be more than 40%)
+# "ro  25 %       -- COMPLETED translation (must be more than 40%)
+# "nb  6 %       -- COMPLETED translation (must be more than 40%)
+
+LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro nb
+LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv
 # ko fi are less than 10 strings -- skipped even for make
 #LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
