=== debian/changelog ===
debian-reference (2.132) unstable; urgency=medium

  [ Andika Triwidada ]
  * Translated using Weblate (Indonesian)

  [ Remus-Gabriel Chelu ]
  * Translated using Weblate (Romanian)

  [ Osamu Aoki ]
  * Add metainfo supports as plug-ins (Closes: #1110857)
  * Revise debian-reference-common.desktop comment
  * Add metainfo for debian.debian-reference-common
  * Update d/copyright

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Jan 2026 13:45:44 +0900
