=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	  sed  -e "s/@@/$$XX/g" < all.install-in  >$(MANUAL)-$${XX}.install ; \
 	  sed  -e "s/@@/$$XX/g" < all.links-in  >$(MANUAL)-$${XX}.links ; \
 	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
+	  sed  -e "s/@@/$$XX/g" -e "s/@LANG@/$$LANGX/g" < all.metainfo-in  >$(CURDIR)/org.debian.$(MANUAL)-$${XX}.metainfo.xml ; \
 	done
 	dh_auto_build $(BUILDOPT) -- \
 		"LANGALL=$(LANGALL)" \
