## debian-reference 2.133

=== debian/changelog ===
debian-reference (2.133) unstable; urgency=medium

  * Fix auto-pkgtest
  * Add Romanian package

 -- Osamu Aoki <osamu@debian.org>  Wed, 21 Jan 2026 22:29:12 +0900
