## debian-reference 2.133.1

=== Makefile ===
--- 
+++ 
@@ -17,19 +17,20 @@
 STRATEGY := stable
 # When OK situation, uncomment to set as above
 
-# "ja  100 %       -- COMPLETED translation (must be more than 40%)
-# "fr  99 %       -- COMPLETED translation (must be more than 40%)
-# "it  99 %       -- COMPLETED translation (must be more than 40%)
-# "es  99 %       -- COMPLETED translation (must be more than 40%)
-# "zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
-# "id  99 %       -- COMPLETED translation (must be more than 40%)
-# "de  99 %       -- COMPLETED translation (must be more than 40%)
-# "pt-br  79 %       -- COMPLETED translation (must be more than 40%)
-# "pt  99 %       -- COMPLETED translation (must be more than 40%)
-# "zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
-# "sv  100 %       -- COMPLETED translation (must be more than 40%)
-# "ro  25 %       -- COMPLETED translation (must be more than 40%)
-# "nb  6 %       -- COMPLETED translation (must be more than 40%)
+# ja  100 %       -- COMPLETED translation (must be more than 40%)
+# fr  99 %       -- COMPLETED translation (must be more than 40%)
+# it  99 %       -- COMPLETED translation (must be more than 40%)
+# es  99 %       -- COMPLETED translation (must be more than 40%)
+# zh-cn  100 %       -- COMPLETED translation (must be more than 40%)
+# id  100 %       -- COMPLETED translation (must be more than 40%)
+# de  99 %       -- COMPLETED translation (must be more than 40%)
+# pt-br  79 %       -- COMPLETED translation (must be more than 40%)
+# pt  99 %       -- COMPLETED translation (must be more than 40%)
+# zh-tw  74 %       -- COMPLETED translation (must be more than 40%)
+# sv  100 %       -- COMPLETED translation (must be more than 40%)
+# ro  57 %       -- COMPLETED translation (must be more than 40%)
+# nb  6 %       -- COMPLETED translation (must be more than 40%)
+
 
 LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro nb
 LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv
