=== debian/changelog ===
debian-reference (2.133.1) unstable; urgency=medium

  * NEW debian-reference-ro package: source+binary upload

 -- Osamu Aoki <osamu@debian.org>  Thu, 22 Jan 2026 10:17:57 +0900
