## debian-reference 2.136

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 
 LANGPO		:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro nb
-LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv
+LANGPO_PREP	:=	ja fr it es zh-cn id de pt-br pt zh-tw sv ro
 # ko fi are less than 10 strings -- skipped even for make
 #LANGPO	:=	ja fr it es zh-cn id de pt-br pt zh-tw nb sv ko fi
 # languages to skip generation of PDF files (not used now)
