=== debian/changelog ===
debian-reference (2.136) unstable; urgency=medium

  * Really upload with source+binary.

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Feb 2026 21:32:13 +0900

debian-reference (2.135) unstable; urgency=medium

  [ Rodolfo Gigante ]
    Translated using Weblate (Portuguese, 100%)

  [ Osamu Aoki ]
  * Source+binary upload to NEW with non-SHA1 RSA key for
    debian-reference-ro after failed attempts with 2.133.1,
    2.133.2, and 2.134.
  * Remove tailing blank lines to address cme issues.
  * make po

 -- Osamu Aoki <osamu@debian.org>  Wed, 11 Feb 2026 20:36:53 +0900

debian-reference (2.134) unstable; urgency=medium

  * Update pt translation.
  * Source-only upload.

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Jan 2026 23:49:13 +0900

debian-reference (2.133.2) unstable; urgency=medium

  * Add Romanian package (fix bug)
  * NEW debian-reference-ro package: source+binary upload

 -- Osamu Aoki <osamu@debian.org>  Thu, 22 Jan 2026 13:25:56 +0900
